import { ChangeType } from '@antv/g-base/lib/types';
import { IElement } from '../interfaces';
import Defs from '../defs';
export declare function drawChildren(context: Defs, children: IElement[]): void;
export declare function applyClipChildren(context: Defs, children: IElement[]): void;
export declare function drawPathChildren(context: Defs, children: IElement[]): void;
/**
 * 更新元素，包括 group 和 shape
 * @param {IElement} element       SVG 元素
 * @param {ChangeType} changeType  更新类型
 */
export declare function refreshElement(element: IElement, changeType: ChangeType): void;
