"use strict";
/**
 * @fileoverview clip
 * @author dengfuping_develop@163.com
 */
Object.defineProperty(exports, "__esModule", { value: true });
var util_1 = require("@antv/util");
var Clip = /** @class */ (function () {
    function Clip(cfg) {
        this.type = 'clip';
        this.cfg = {};
        var el = document.createElementNS('http://www.w3.org/2000/svg', 'clipPath');
        this.el = el;
        this.id = util_1.uniqueId('clip_');
        el.id = this.id;
        var shapeEl = cfg.cfg.el;
        // just in case the clip shape is also a shape needs to be drawn
        el.appendChild(shapeEl.cloneNode(true));
        this.cfg = cfg;
        return this;
    }
    Clip.prototype.match = function () {
        return false;
    };
    Clip.prototype.remove = function () {
        var el = this.el;
        el.parentNode.removeChild(el);
    };
    return Clip;
}());
exports.default = Clip;
//# sourceMappingURL=clip.js.map